Devuan bug report logs - #318
pulseaudio: autospawn is required on Beowulf (Ceres)

version graph

Package: pulseaudio; Maintainer for pulseaudio is Dima Krasner <dima@dimakrasner.com>;

Reported by: Gour <gour@atmarama.com>

Date: Fri, 19 Apr 2019 05:03:01 UTC

Severity: grave

Tags: beowulf, moreinfo, patch

Merged with 276, 367, 375, 378, 403, 466, 473, 480, 514

Found in version 12.2-4+deb10u1

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#318; Package pulseaudio. (full text, mbox, link).


Acknowledgement sent to Gour <gour@atmarama.com>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org.

Your message specified a Severity: in the pseudo-header, but the severity value important was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, normal, minor, wishlist.

(full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Gour <gour@atmarama.com>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: pulseaudio: autospawn is required on Beowulf (Ceres)
Date: Fri, 19 Apr 2019 06:49:20 +0200
[Message part 1 (text/plain, inline)]
Package: pulseaudio
Version: 12.2-4
Severity: important

Dear Maintainer,

   * What led up to the situation?

   I've PulseAudio selected as 'autostart', but there is no sound.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

   * What was the outcome of this action?

   Inspecting my Beowulf system I noticed that only this was running:

   /usr/lib/x86_64-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/x86_64-linux-
gnu/xfce4/panel/plugins/libpulseaudio-plugin.so 21 18874412 pulseaudio
PulseAudio Plugin Adjust the audio volume of the PulseAudio sound system

   Moreover, attempt to start pavucontrol or mixer from the Xfce panel
   results in the mixer hanging with ""Establishing connection to
   PulseAudio" message.

   * What outcome did you expect instead?

   Running pulseaudio and working sound.

    However, I've found the solution to the problem by browsing Debian's
    bugtracker - see:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=923203

    So, solution, for Beowulf and probably Ceres is to uncomment

    #00-disable-autospawn.conf

    line in $ /etc/pulse/client.conf.d/00-disable-autospawn.conf

    and then pulseaudio is correctly started as it is visible by:

    $ ps ax | grep pulse
 3587 ?        Sl
    0:03 /usr/lib/x86_64-linux-gnu/xfce4/panel/wrapper-2.0 /usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libpulseaudio-plugin.so
    21 18874412 pulseaudio PulseAudio Plugin Adjust the audio volume of
    the PulseAudio sound system
 3614 ?        S<l    0:00 /usr/bin/pulseaudio --start
    --log-target=syslog




-- Package-specific info:
File '/etc/default/pulseaudio' does not exist


-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux beowulf/ceres
Release:	10
Codename:	n/a
Architecture: x86_64

Kernel: Linux 4.19.0-4-amd64 (SMP w/8 CPU cores)
Locale: LANG=hr_HR.UTF-8, LC_CTYPE=hr_HR.UTF-8 (charmap=UTF-8),
LANGUAGE=en_GB:en (charmap=UTF-8) Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages pulseaudio depends on:
ii  adduser                      3.118
ii  libasound2                   1.1.8-1
ii  libasound2-plugins           1.1.8-1
ii  libc6                        2.28-8
ii  libcap2                      1:2.25-2
ii  libdbus-1-3                  1.12.12-1+devuan2
ii  libgcc1                      1:8.3.0-6
ii  libice6                      2:1.0.9-2
ii  libltdl7                     2.4.6-9
ii  liborc-0.4-0                 1:0.4.28-3.1
ii  libpulse0                    12.2-4
ii  libsm6                       2:1.2.3-1
ii  libsndfile1                  1.0.28-6
ii  libsoxr0                     0.1.2-3
ii  libspeexdsp1                 1.2~rc1.2-1+b2
ii  libstdc++6                   8.3.0-6
ii  libsystemd0                  241-3
ii  libtdb1                      1.3.16-2+b1
pn  libudev1                     <none>
ii  libwebrtc-audio-processing1  0.3-1
ii  libx11-6                     2:1.6.7-1
ii  libx11-xcb1                  2:1.6.7-1
ii  libxcb1                      1.13.1-2
ii  libxtst6                     2:1.2.3-1
ii  lsb-base                     10.2019031300
ii  pulseaudio-utils             12.2-4

Versions of packages pulseaudio recommends:
pn  dbus-user-session                <none>
ii  libpam-elogind [libpam-systemd]  234.4-2
ii  rtkit                            0.11-6

Versions of packages pulseaudio suggests:
pn  paman        <none>
pn  paprefs      <none>
ii  pavucontrol  3.0-4
pn  pavumeter    <none>
ii  udev         1:3.2.7+devuan1.1

-- no debconf information



-- 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, Dima Krasner <dima@dimakrasner.com>:
bug#318; Package pulseaudio. (Tue, 14 Jan 2020 18:48:01 GMT) (full text, mbox, link).


Message #8 received at 318@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 318@bugs.devuan.org
Cc: golinux@devuan.org
Subject: Re: pulseaudio: autospawn is required on Beowulf (Ceres)
Date: Tue, 14 Jan 2020 18:36:13 +0000
Control: merge -1 267 367
Control: tag -1 beowulf

Thanks.

Golinux,

Perhaps we should put this configuration requirement in the release notes 
rather than forking the package?

Mark

Marked as found in versions 12.2-4+deb10u1. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 15 Jan 2020 10:18:06 GMT) (full text, mbox, link).


Merged 276 318 367 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 15 Jan 2020 10:18:06 GMT) (full text, mbox, link).


Added tag(s) beowulf. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 15 Jan 2020 10:18:06 GMT) (full text, mbox, link).


Merged 276 318 367 375 Request was from Mark Hindley <mark@hindley.org.uk> to 375-submit@bugs.devuan.org. (Wed, 15 Jan 2020 15:48:11 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 Request was from Mark Hindley <mark@hindley.org.uk> to 378-submit@bugs.devuan.org. (Wed, 22 Jan 2020 15:18:02 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submit@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:03 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submit@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:09 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submitter@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:13 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 Request was from Mark Hindley <mark@hindley.org.uk> to 403-submitter@bugs.devuan.org. (Wed, 26 Feb 2020 19:48:17 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 Request was from Mark Hindley <mark@hindley.org.uk> to 466-submit@bugs.devuan.org. (Tue, 19 May 2020 09:03:04 GMT) (full text, mbox, link).


Severity set to 'grave' from 'normal' Request was from Mark Hindley <mark@hindley.org.uk> to 473-submit@bugs.devuan.org. (Fri, 22 May 2020 17:48:05 GMT) (full text, mbox, link).


Added tag(s) patch. Request was from Mark Hindley <mark@hindley.org.uk> to 473-submit@bugs.devuan.org. (Fri, 22 May 2020 17:48:05 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 Request was from Mark Hindley <mark@hindley.org.uk> to 473-submit@bugs.devuan.org. (Fri, 22 May 2020 17:48:06 GMT) (full text, mbox, link).


Added tag(s) moreinfo. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:02 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 480 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:02 GMT) (full text, mbox, link).


Merged 276 318 367 375 378 403 466 473 480 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 03 Jun 2020 19:03:05 GMT) (full text, mbox, link).


Message #41 received at 480-close@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Michaela Merz <mischmerz@googlemail.com>
Cc: control@bugs.devuan.org, 480-close@bugs.devuan.org
Subject: Re: bug#480: Firefox - no sound
Date: Wed, 3 Jun 2020 19:44:01 +0100
reassign 480 pulseaudio
forcemerge 276 480


On Wed, Jun 03, 2020 at 12:06:42PM -0500, Michaela Merz wrote:
>    > > [1] http://files.devuan.org/devuan_beowulf/Release_notes.txt > >
>    --00000000000000808705a7310ed4 Content-Type: text/html; charset="UTF-8"
>    Content-Transfer-Encoding: quoted-printable
> 
>    Mark:
>    Rats. I enabled autospawn in client.conf, but forgot about
> 00-disable-autospawn.conf
> 
> Confirming that firefox works with audio now. Sory to bother you :(

Thanks.

Closing

Mark

Merged 276 318 367 375 378 403 466 473 480 514 Request was from Mark Hindley <mark@hindley.org.uk> to 514-submit@bugs.devuan.org. (Thu, 08 Oct 2020 17:03:07 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri Oct 23 05:35:05 2020;